[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# pthread_rwlockattr_t

R/W lock attributes (opaque).

## Declaration

Source position: ptypes.inc line 346

`type pthread_rwlockattr_t = record`
`__lockkind: cint;` |  | ?
`__pshared: cint;` |  | ?
`end;`

## Description

pthread_rwlockattr_t describes the attributes of a lock. It should be considered an opaque record, the names of the fields can change anytime.